Composer Add Dependency PHPExcel fails to install

Hi,

I'm running a trial on PhpStorm 7.1.3 and I'm trying to create a Composer dependency to PHPExcel via the IDE's UI.  I initialized Composer and then I went to Composer->Add Dependency and searched for PHPExcel. There were several choices and I figured I'd pick phpexcel/phpexcel.  The Add Composer Dependency dialog told me that it's "depracated" and that I should use phpoffice/phpexcel.  Fine, whatever (hopefully).  However, when I clicked the Install button I get:

"Failed to install phpoffice/phpexcel version 1.8.0
CreateProcess error=2, The system cannot find the file specified"

I tried a bunch of other choices, just for the heck of it, and they all yield the same error.

Help?

Regards,
Rob

2 comments
Comment actions Permalink

Hi there,

1) Have you configured PHP interpreters (Settings | PHP) and choose one for this project?

2) Anything interesting in idea.log (Help | Show Log in...)?

0
Comment actions Permalink

Hi Adriy,

Thank you for the suggestion.  Configuring the PHP Interpreter solved the issue as far as adding the dependency to the Composer.

Regards,
Rob

0

Please sign in to leave a comment.